summaryrefslogtreecommitdiff
path: root/distro/ubuntu/build
diff options
context:
space:
mode:
Diffstat (limited to 'distro/ubuntu/build')
-rwxr-xr-xdistro/ubuntu/build31
1 files changed, 31 insertions, 0 deletions
diff --git a/distro/ubuntu/build b/distro/ubuntu/build
new file mode 100755
index 00000000..287939d2
--- /dev/null
+++ b/distro/ubuntu/build
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+# fill it
+pkgname=mate-panel
+pkgver=2011.10.29
+pkgrel=1
+pkgdesc="The MATE Panel"
+depends=('libwnck22' 'mate-conf' 'mate-menus' 'mate-desktop' 'librsvg2-2' 'hicolor-icon-theme' 'libcanberra-gtk0' 'libmatecomponentui' 'libmateweather') # 'evolution-data-server'
+
+# editar esta funcion!
+build() {
+ cd $pkgsrc
+ # descomprimir
+ tar xvzf download
+ # entramos a la carpeta
+ cd ${pkgname}
+
+ ./configure --prefix=/usr --sysconfdir=/etc \
+ --localstatedir=/var --disable-static \
+ --libexecdir=/usr/lib/mate-panel \
+ --disable-scrollkeeper --enable-introspection --enable-matecomponent || return 1
+ make || return 1
+ make MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
+
+ install -m755 -d "${pkgdir}/usr/share/mateconf/schemas"
+ mateconf-merge-schema "${pkgdir}/usr/share/mateconf/schemas/${pkgname}.schemas" --domain ${pkgname} ${pkgdir}/etc/mateconf/schemas/*.schemas || return 1
+ rm -f ${pkgdir}/etc/mateconf/schemas/*.schemas
+}
+
+# esto incluye la parte que se repite en la mayoria de los builds
+. /usr/share/mate-doc-utils/mate-debian.sh